petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscLikely

hints the compiler that the given condition is usually TRUE

### Synopsis

    #include <petscsys.h>
    PetscBool  PetscLikely(PetscBool  cond)

Not Collective

### Input Parameters

cond -condition or expression

### Notes

This returns the same truth value, it is only a hint to compilers that the resulting branch is likely.

### See Also

PetscUnlikely()

### Level

advanced

### Location

include/petscsys.h

### Examples

src/sys/examples/tutorials/ex6.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages